package com.onsiteservice.admin.controller.base.dto;

import com.onsiteservice.common.annotation.sql.ConditionEnum;
import com.onsiteservice.common.annotation.sql.FieldCondition;
import com.onsiteservice.dao.common.page.PageParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;

@ApiModel(description = "异常日志")
@Getter
@Setter
@ToString
@FieldCondition(alias = "t1")
public class BaseErrorDTO extends PageParams {

    @ApiModelProperty("开始结束时间")
    @FieldCondition(column = "create_time", rel = ConditionEnum.GTEQ)
    private LocalDateTime createTimeBegin;

    @FieldCondition(column = "create_time", rel = ConditionEnum.LTEQ)
    private LocalDateTime createTimeEnd;

    @FieldCondition
    @ApiModelProperty("项目名称")
    private String projectName;

    @FieldCondition
    @ApiModelProperty("运行环境")
    private String environment;

    @FieldCondition
    @ApiModelProperty("错误码")
    private String errorCode;

    @ApiModelProperty("运行平台")
    @FieldCondition
    private String platform;
}
